## fusionforge 5.2~rc1+1

=== debian/changelog ===
fusionforge (5.2~rc1+1) unstable; urgency=low

  * Since this package was accidentally uploaded as native package,
    and there is a large delta to what’s in upstream SVN right now,
    upload this deliberately as native package now. The next upload
    from FF SVN Branch_5_2 is 5.2~rc2 but will need to take special
    care to exclude nōn-DFSG-free content again.
  * DFSG: Remove minified ECMAscript and binary *.jar from the source
  * Add myself to uploaders
  * Opt out of Apport reports
  * Integrate with MediaWiki 1.19 (Closes: #679932)
  * Update versioned Depends on MediaWiki
  * Move wikis to new (as of 2010-03-19, possibly by accident) data path
  * Check image upload is enabled before trying to do so (Closes: #679521)
  * Unbreak and silence the MediaWiki nightly dump cronjob (Closes: #680165)
  * SECURITY: Upon user deletion, remove their Unix account as well
  * SECURITY: Do not disclose inaccessible groups on user_home/toplist
  * Fix IFRAME used by the Widget code if no ECMAscript is available

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 20 Sep 2012 13:51:30 +0200

fusionforge (5.2~rc1-5) unstable; urgency=low

  * Updated Debconf translations for Portuguese (thanks to Américo
    Monteiro), German (thanks to Helge Kreutzmann), Russian (thanks to
    Yuri Kozlov), Galician (thanks to Jorge Barreiro), Czech (thanks to
    Miroslav Kure) (closes: #677737, #677653, #678424, #678629, #678685).

 -- Roland Mas <lolando@debian.org>  Thu, 28 Jun 2012 20:16:27 +0200

fusionforge (5.2~rc1-4) unstable; urgency=low

  * One more fix to Mediawiki upgrades (closes: #677599).

 -- Roland Mas <lolando@debian.org>  Fri, 15 Jun 2012 14:48:58 +0200

fusionforge (5.2~rc1-3) unstable; urgency=low

  * Updated Debconf translations for Swedish (thanks to Martin Bagge)
    (closes: #677411).
  * Fixes to Mediawiki plugin (including for interwiki).

 -- Roland Mas <lolando@debian.org>  Thu, 14 Jun 2012 16:48:38 +0200

fusionforge (5.2~rc1-2) unstable; urgency=low

  * Use more of the system-provided Jquery.
  * Reinstate code running the Mediawiki SQL initialisation code from the
    package's postinst (closes: #677373).

 -- Roland Mas <lolando@debian.org>  Wed, 13 Jun 2012 18:58:30 +0200

fusionforge (5.2~rc1-1) unstable; urgency=low

  * New upstream pre-release 5.2rc1.
  * Ripped out all but the most important Debconf questions in order to
    simplify installation and get rid of the legacy fusionforge.conf
    configuration file (which is no longer created on new installs).
  * Stop shipping fusionforge-config manpage.

 -- Roland Mas <lolando@debian.org>  Fri, 01 Jun 2012 14:28:54 +0200

fusionforge (5.1.50+svn15558-1) experimental; urgency=low

  * New upstream SVN snapshot from the 5.2 stabilisation branch.
  * Generate initial list of countries and codes from the current known
    data (from isoquery) at build time (closes: #565240).  Thanks to David
    Prévot <david@tilapin.org> for the bulk of the patch.
  * Remove UCF-generated files on purge (closes: #672256).

 -- Roland Mas <lolando@debian.org>  Wed, 23 May 2012 14:34:18 +0200

fusionforge (5.1.50+svn15410-1) experimental; urgency=low

  * Really fix upgrade-db.php this time (closes: #668970).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Apr 2012 16:11:34 +0200

fusionforge (5.1.50+svn15405-1) experimental; urgency=low

  * New upstream SVN snapshot from the 5.2 stabilisation branch.
  * Disable authcas plugin at least until phpCAS is packaged in Debian,
    thanks to Laurent Bonnaud (closes: #666908).
  * Fixed upgrade-db.php so it can run even without gforge-web-apache2
    installed, thanks to Andreas Beckmann (closes: #668970).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Apr 2012 14:56:51 +0200

fusionforge (5.1.50+svn15228-1) experimental; urgency=low

  * New upstream SVN snapshot from the 5.2 stabilisation branch.

 -- Roland Mas <lolando@debian.org>  Tue, 27 Mar 2012 20:57:28 +0200

fusionforge (5.1.1-9) UNRELEASED; urgency=low

  * Reinstate code running the Mediawiki SQL initialisation code from the
    package's postinst.

 -- Roland Mas <lolando@debian.org>  Wed, 06 Jun 2012 17:49:37 +0200

fusionforge (5.1.1-8) unstable; urgency=low

  * Fixes from the 5.1 upstream branch.
  * Fixed wrong link for custom homepage, thanks to Olivier Berger for the
    patch (closes: #675090).

 -- Roland Mas <lolando@debian.org>  Fri, 01 Jun 2012 11:04:11 +0200

fusionforge (5.1.1-7) unstable; urgency=low

  * Many fixes from the 5.1 upstream branch.
  * Set up a dpkg trigger to handle Mediawiki upgrades and update the
    database schemas accordingly (closes: #673125).

 -- Roland Mas <lolando@debian.org>  Wed, 23 May 2012 13:54:10 +0200

fusionforge (5.1.1-6) unstable; urgency=low

  * Fixes in search.
  * Use current way to get configuration values instead of looking for the
    old file, thanks to Andreas Beckmann (closes: #668878).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Apr 2012 14:38:52 +0200

fusionforge (5.1.1-5) unstable; urgency=low

  * Remove more config files on purge (detected by piuparts).

 -- Roland Mas <lolando@debian.org>  Tue, 27 Mar 2012 20:34:57 +0200

fusionforge (5.1.1-4) unstable; urgency=low

  * Removed one more call to fusionforge-config.

 -- Roland Mas <lolando@debian.org>  Tue, 20 Mar 2012 17:09:19 +0100

fusionforge (5.1.1-3) unstable; urgency=low

  [ Olivier Berger ]
  * Add new README.Debian for gforge-web-apache2 specifically.

  [ Roland Mas ]
  * Use common/include/env.inc.php rather than www/env.inc.php for offline
    scripts (closes: #663602).
  * More comprehensive purge for -common package (closes: #638167).
  * Stop trying to call fusionforge-config in maintainer scripts, it's not
    needed any longer and it causes problems (closes: #655965, #656088,
    #662897).
  * Fixed PHP 5.4 compatibility (closes: #658955).

 -- Roland Mas <lolando@debian.org>  Fri, 16 Mar 2012 16:12:09 +0100

fusionforge (5.1.1-2) unstable; urgency=low

  * New upstream SVN snapshot.


=== plugins/oauthprovider/debian/changelog ===
fusionforge-plugin-oauthprovider (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Christian Bayle <bayle@debian.org>  Mon, 08 Mar 2010 16:37:51 +0100

=== plugins/soapadmin/debian/changelog ===
fusionforge-plugin-soapadmin (1.0.3-1) unstable; urgency=low

  * Initial release

 -- Christian Bayle <bayle@debian.org>  Mon, 08 Mar 2010 16:37:51 +0100

=== debian/control ===
Source: fusionforge
Section: devel
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Uploaders: Christian Bayle <bayle@debian.org>, Olivier Berger <obergix@debian.org>, Thorsten Glaser <tg@mirbsd.de>
Build-Depends-Indep: sharutils, docbook-to-man, devscripts, gettext, isoquery, iso-codes
Build-Depends: debhelper (>= 7), quilt (>= 0.40), perl, confget
Standards-Version: 3.9.2
Homepage: http://fusionforge.org/
Vcs-Svn: svn://scm.fusionforge.org/scmrepos/svn/fusionforge/trunk
XBS-Apport: No

Package: fusionforge-standard
Architecture: all
Conflicts: sourceforge, gforge-cvs, gforge-common (<< ${source:Version})
Replaces: gforge
Provides: gforge
Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, gforge-common (=${source:Version}), gforge-web-apache2 | gforge-web, gforge-db-postgresql | gforge-db, gforge-mta-exim4 | gforge-mta, gforge-shell-postgresql | gforge-shell, gforge-lists-mailman | gforge-lists, ${misc:Depends}
Recommends: fusionforge-plugin-scmsvn | fusionforge-plugin-scm
Description: FusionForge collaborative development tool - standard metapackage
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This metapackage installs a standard FusionForge site.

Package: fusionforge-minimal
Architecture: all
Conflicts: sourceforge, gforge-cvs, gforge-common (<< ${source:Version}), gforge
Replaces: gforge
Provides: gforge
Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, gforge-common (>=${source:Version}), gforge-web-apache2 | gforge-web, gforge-db-postgresql | gforge-db, ${misc:Depends}
Description: FusionForge collaborative development tool - minimal metapackage
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This metapackage installs a minimal FusionForge site.

Package: fusionforge-full
Architecture: all
Conflicts: sourceforge, gforge-cvs, gforge-common (<< ${source:Version}), gforge
Replaces: gforge
Provides: gforge
Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, gforge-common (=${source:Version}), gforge-web-apache2 | gforge-web, gforge-web-apache2-vhosts, gforge-db-postgresql | gforge-db, gforge-mta-exim4 | gforge-mta, gforge-shell-postgresql | gforge-shell, gforge-lists-mailman | gforge-lists, fusionforge-plugin-contribtracker, fusionforge-plugin-extratabs, fusionforge-plugin-globalsearch, fusionforge-plugin-mediawiki, fusionforge-plugin-projectlabels, fusionforge-plugin-scmarch, fusionforge-plugin-scmbzr, fusionforge-plugin-scmcvs, fusionforge-plugin-scmdarcs, fusionforge-plugin-scmgit, fusionforge-plugin-scmhg, fusionforge-plugin-scmsvn, fusionforge-plugin-blocks, fusionforge-plugin-hudson, fusionforge-plugin-oslc, ${misc:Depends}
Description: FusionForge collaborative development tool - full metapackage
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This metapackage installs a full FusionForge site with all plugins.

Package: gforge
Architecture: all
Depends: fusionforge-standard, ${misc:Depends}
Description: Dummy upgrade package for FusionForge
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This is a transitional package and can safely be removed; see the
 fusionforge-standard package instead.

Package: gforge-common
Architecture: all
Depends: debconf (>= 1.0.32) | debconf-2.0, ucf, cpio, lockfile-progs, adduser, php5-cli, php-htmlpurifier (>= 4.0), libphp-simplepie, python, ${misc:Depends}
Conflicts: sourceforge, gforge-plugin-scmcvs (<< 4.1), gforge-plugin-scmsvn (<< 4.1), gforge-plugin-scmccase (<< 4.1), gforge-theme-starterpack (<< 4.0)
Description: collaborative development tool - shared files
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains files and programs used by several other
 subpackages.

Package: gforge-web-apache2
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, libapache2-mod-php5, php5-cgi, php5-pgsql, php5-gd, perl, libdbi-perl, libdbd-pg-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, cronolog, python, ssl-cert, libnusoap-php, libphp-simplepie, php-http, libjs-yui, libjs-scriptaculous, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-ui, libjs-jquery-ui-theme-overcast, libphp-jpgraph, ${misc:Depends}
Recommends: locales | locales-all
Provides: gforge-web
Conflicts: gforge-web
Description: collaborative development tool - web part (using Apache)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the files needed to run the web part of
 FusionForge on an Apache webserver.

Package: gforge-web-apache2-vhosts
Architecture: all
Depends: gforge-web-apache2, ${misc:Depends}
Description: collaborative development tool - web vhosts (using Apache)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package contains the files needed to run project vhosts
 FusionForge on an Apache webserver.

Package: gforge-web-apache
Architecture: all
Depends: gforge-web-apache2, ${misc:Depends}
Description: transitional package to gforge-web-apache2
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This dummy package exists only as a means to make transitions
 to apache2 easier. You can safely uninstall it.

Package: gforge-db-postgresql
Architecture: all
Depends: gforge-common, postgresql (>= 8.4), perl, libdbi-perl, libdbd-pg-perl, libmime-base64-perl, libhtml-parser-perl, libtext-autoformat-perl, libmail-sendmail-perl, libsort-versions-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, php5-cli, php5-pgsql, ${misc:Depends}
Provides: gforge-db
Conflicts: gforge-db
Description: collaborative development tool - database (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package installs, configures and maintains the FusionForge
 database.

Package: gforge-mta-exim4
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, exim4-daemon-heavy, ${misc:Depends}
Provides: gforge-mta
Conflicts: gforge-mta
Description: collaborative development tool - mail tools (using Exim 4)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Exim 4 mail transfer agent to run
 FusionForge.

Package: gforge-mta-postfix
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, postfix, postfix-pgsql, ${misc:Depends}
Provides: gforge-mta
Conflicts: gforge-mta
Description: collaborative development tool - mail tools (using Postfix)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Postfix mail transfer agent to run
 FusionForge.

Package: gforge-mta-courier
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, courier-mta, ${misc:Depends}
Provides: gforge-mta
Conflicts: gforge-mta
Description: collaborative development tool - mail tools (using Courier)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the Courier mail transfer agent to run
 FusionForge.

Package: gforge-shell-postgresql
Architecture: all
Depends: gforge-common, gforge-db-postgresql, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, openssh-server, libnss-pgsql2, ${misc:Depends}
Provides: gforge-shell
Conflicts: gforge-shell
Recommends: nscd
Description: collaborative development tool - shell accounts (using PostgreSQL)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package provides shell accounts authenticated via the PostGreSQL
 database to FusionForge users.

Package: gforge-ftp-proftpd
Architecture: all
Depends: gforge-common, gforge-shell-postgresql | gforge-shell, proftpd, perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, php5-cli, ${misc:Depends}
Provides: gforge-ftp
Conflicts: gforge-ftp
Description: collaborative development tool - FTP management (using ProFTPd)
 FusionForge provides many tools to aid collaboration in a
 development project, such as bug-tracking, task management,
 mailing-lists, SCM repository, forums, support request helper,
 web/FTP hosting, release management, etc. All these services are
 integrated into one web site and managed through a web interface.
 .
 This package configures the ProFTPd FTP server for FusionForge.

Package: gforge-dns-bind9
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, perl, libdbi-perl, libdbd-pg-perl, debianutils (>= 1.7), debconf (>= 1.0.32) | debconf-2.0, ucf, bind9 , ${misc:Depends}
Provides: gforge-dns
Conflicts: gforge-dns

=== plugins/helloworld/debian/control ===
Source: fusionforge-plugin-helloworld
Section: devel
Priority: optional
Maintainer: Christian Bayle <bayle@debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends-Indep: devscripts
Build-Depends: debhelper (>= 7), perl, gettext
Standards-Version: 3.8.4
Homepage: http://fusionforge.org/
Vcs-Bzr: http://scm.fusionforge.org/bzr/fusionforge/svn-trunk-ro/

Package: fusionforge-plugin-helloworld
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, gforge-web-apache2 | gforge-web, gforge-shell-postgresql | gforge-shell, php5-cli, ${misc:Depends}
Description: collaborative development tool - HelloWorld plugin
 .
 This plugin contains the HelloWorld subsystem of FusionForge. It allows each
 FusionForge project to have its own HelloWorld, and gives some
 control over it to the project's administrator.

=== plugins/oauthprovider/debian/control ===
Source: fusionforge-plugin-oauthprovider
Section: devel
Priority: optional
Maintainer: Christian Bayle <bayle@debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends-Indep: devscripts
Build-Depends: debhelper (>= 7), perl, gettext
Standards-Version: 3.8.4
Homepage: http://fusionforge.org/
Vcs-Bzr: http://scm.fusionforge.org/bzr/fusionforge/svn-trunk-ro/

Package: fusionforge-plugin-oauthprovider
Architecture: all
Depends: gforge-common, gforge-db-postgresql | gforge-db, gforge-web-apache2 | gforge-web, gforge-shell-postgresql | gforge-shell, php5-cli, ${misc:Depends}
Description: collaborative development tool - oauthprovider plugin
 .
 This plugin contains the oauthprovider subsystem of FusionForge. It allows each
 FusionForge project to have its own oauthprovider, and gives some
 control over it to the project's administrator.

=== debian/rules ===
#!/usr/bin/make -f

# GNU copyright 1997 to 1999 by Joey Hess (sample file)
# Copyright 2000 to 2002 by Roland Mas and Christian Bayle for the Sourceforge package
# Copyright 2002 to 2008 by Roland Mas and Christian Bayle for the Gforge package
# Copyright 2008 to 2010 by Roland Mas and Christian Bayle for the FusionForge package

OLDPACKAGE=gforge
PACKAGE=fusionforge
SRCPACKAGE=fusionforge
FORGENAME=FusionForge

# Identify this FusionForge version
# keep type intact and change forge in derivates,
# unless there are deep changes (type is used for
# the Forge-Identification meta header)
WHICH_TYPE=FusionForge
WHICH_FORGE=FusionForge
WHICH_VERSION:=$(shell dpkg-parsechangelog | sed -n '/^Version: /s///p')

# Replace macros present in the files for forge's name
SED_REPLACE=sed -e 's/@PACKAGE@/$(PACKAGE)/g' -e 's/@SRCPACKAGE@/$(SRCPACKAGE)/g' -e 's/@OLDPACKAGE@/$(OLDPACKAGE)/g' -e 's/@FORGENAME@/$(FORGENAME)/g'

DH=dh --with quilt

default:
	@echo $(PACKAGE)

# The substitutions bellow can be quite tricky, so use 'debian/rules testpat' to check if it's OK
ENABLED_PLUGINS:=$(shell sh $(CURDIR)/utils/list-enabled-plugins.sh || echo error)
ifeq (${ENABLED_PLUGINS},error)
$(error list-enabled-plugins.sh failed)
endif

PPOSTINST=$(foreach i,$(ENABLED_PLUGINS),debian/$(PACKAGE)-plugin-$i.postinst)
PPRERM=$(foreach i,$(ENABLED_PLUGINS),debian/$(PACKAGE)-plugin-$i.prerm)

CRONDFILES=$(patsubst packaging/cron.d/%,debian/$(OLDPACKAGE)-%.cron.d,$(wildcard packaging/cron.d/[a-z]*))
PCRONDFILES=$(foreach i,$(ENABLED_PLUGINS),$(if $(wildcard plugins/$i/packaging/cron.d/[a-z]*),debian/$(PACKAGE)-plugin-$i.cron.d))

DIRSFILES=$(patsubst packaging/dirs/%,debian/$(OLDPACKAGE)-%.dirs,$(wildcard packaging/dirs/[a-z]*))
PDIRSFILES=$(foreach i,$(ENABLED_PLUGINS),$(if $(wildcard plugins/$i/packaging/dirs/[a-z]*),debian/$(PACKAGE)-plugin-$i.dirs))

LINKSFILES=$(patsubst packaging/links/%,debian/$(OLDPACKAGE)-%.links,$(wildcard packaging/links/[a-z]*))
PLINKSFILES=$(foreach i,$(ENABLED_PLUGINS),$(if $(wildcard plugins/$i/packaging/links/[a-z]*),debian/$(PACKAGE)-plugin-$i.links))

INSTALLFILES=$(patsubst packaging/install/%,debian/$(OLDPACKAGE)-%.install,$(wildcard packaging/install/[a-z]*))
PINSTALLFILES=$(foreach i,$(ENABLED_PLUGINS),$(if $(wildcard plugins/$i/packaging/install/[a-z]*),debian/$(PACKAGE)-plugin-$i.install))

PTRIGGERSFILES=$(foreach i,$(ENABLED_PLUGINS),$(if $(wildcard plugins/$i/debian/[a-z]*.triggers),debian/$(PACKAGE)-plugin-$i.triggers))

DOCSFILES=$(patsubst packaging/docs/%,debian/$(OLDPACKAGE)-%.docs,$(wildcard packaging/docs/[a-z]*)) \
		$(patsubst packaging/docs/%,debian/$(PACKAGE)-%.docs,$(wildcard packaging/docs/[a-z]*))
PDOCSFILES=$(foreach i,$(ENABLED_PLUGINS),$(if $(wildcard plugins/$i/packaging/docs/[a-z]*),debian/$(PACKAGE)-plugin-$i.docs))

PEXAMPLESSFILES=$(foreach i,$(ENABLED_PLUGINS),$(if $(wildcard plugins/$i/packaging/examples/[a-z]*),debian/$(PACKAGE)-plugin-$i.examples))
READMEFILES=$(patsubst packaging/readme/%,debian/$(OLDPACKAGE)-%.README.Debian,$(wildcard packaging/readme/[a-z]*)) \
		$(patsubst packaging/readme/%,debian/$(PACKAGE)-%.README.Debian,$(wildcard packaging/readme/[a-z]*))

POFILES=$(patsubst debian/dsf-po/%,debian/po/%,$(wildcard debian/dsf-po/*) debian/po/POTFILES.in)

# Displays the variables to check if globbing and substitutions are correct
testpat:
	@echo "ENABLED_PLUGINS=$(ENABLED_PLUGINS)"
	@echo ""
	@echo "PPOSTINST=$(PPOSTINST)"
	@echo "PPRERM=$(PPRERM)"
	@echo ""
	@echo "CRONDFILES=$(CRONDFILES)"
	@echo "DIRSFILES=$(DIRSFILES)"
	@echo "LINKSFILES=$(LINKSFILES)"
	@echo "INSTALLFILES=$(INSTALLFILES)"
	@echo "DOCSFILES=$(DOCSFILES)"
	@echo "READMEFILES=$(READMEFILES)"
	@echo ""
	@echo "PCRONDFILES=$(PCRONDFILES)"
	@echo "PDIRSFILES=$(PDIRSFILES)"
	@echo "PLINKSFILES=$(PLINKSFILES)"
	@echo "PINSTALLFILES=$(PINSTALLFILES)"
	@echo "PDOCSFILES=$(PDOCSFILES)"
	@echo "PEXAMPLESFILES=$(PEXAMPLESFILES)"

remove-binary-files:
	sh $(CURDIR)/deb-specific/manage-uufiles.sh clean

.PHONY: conffiles
conffiles: $(PPOSTINST) $(PPRERM) $(CRONDFILES) $(DIRSFILES) $(LINKSFILES) $(INSTALLFILES) $(DOCSFILES) $(READMEFILES) $(PCRONDFILES) $(PDIRSFILES) $(PLINKSFILES) $(PINSTALLFILES) $(PDOCSFILES) $(PTRIGGERSFILES) $(PEXAMPLESFILES) debian/control

# Construct the plugin's 'postinst' script out of a template in debian/dsf-in/plugin.postinst
debian/$(PACKAGE)-plugin-%.postinst:
	export PLUGLONGNAME="`cat $(CURDIR)/plugins/$*/NAME`"; \
		[ -e $(CURDIR)/plugins/$*/debian/plugin-$*.postinst ] \
		&& $(SED_REPLACE) -e 's/@PLUGSHORTNAME@/$*/g' -e "s/@PLUGLONGNAME@/$$PLUGLONGNAME/g" $(CURDIR)/plugins/$*/debian/plugin-$*.postinst > $@ \
		|| $(SED_REPLACE) -e 's/@PLUGSHORTNAME@/$*/g' -e "s/@PLUGLONGNAME@/$$PLUGLONGNAME/g" $(CURDIR)/debian/dsf-in/plugin.postinst > $@

# Construct the plugin's 'prerm' script out of a template in debian/dsf-in/plugin.prerm
debian/$(PACKAGE)-plugin-%.prerm:
	export PLUGLONGNAME="`cat $(CURDIR)/plugins/$*/NAME`"; \
		[ -e $(CURDIR)/plugins/$*/debian/plugin-$*.prerm ] \
		&& $(SED_REPLACE) -e 's/@PLUGSHORTNAME@/$*/g' -e "s/@PLUGLONGNAME@/$$PLUGLONGNAME/g" $(CURDIR)/plugins/$*/debian/plugin-$*.prerm > $@ \
		|| $(SED_REPLACE) -e 's/@PLUGSHORTNAME@/$*/g' -e "s/@PLUGLONGNAME@/$$PLUGLONGNAME/g" $(CURDIR)/debian/dsf-in/plugin.prerm > $@

# Perform substitutions in plugin's cron.d file
debian/$(PACKAGE)-plugin-%.cron.d:
	$(SED_REPLACE) -e 's/\$$FFUSER/$(OLDPACKAGE)/g' $(CURDIR)/plugins/$*/packaging/cron.d/plugin-$* > $@

# Add a prefix and perform substitutions on the main cron.d files
debian/$(OLDPACKAGE)-%.cron.d:
	(cat $(CURDIR)/packaging/cron.d/00phpcron ; $(SED_REPLACE) -e 's/\$$FFUSER/$(OLDPACKAGE)/g' $(CURDIR)/packaging/cron.d/$*) | $(SED_REPLACE) > $@

# Perform subsitutions on 'dirs', 'links', 'install', 'docs', 'triggers' files
debian/$(PACKAGE)-plugin-%.dirs:
	$(SED_REPLACE) $(CURDIR)/plugins/$*/packaging/dirs/plugin-$* > $@

debian/$(OLDPACKAGE)-%.dirs:
	$(SED_REPLACE) $(CURDIR)/packaging/dirs/$* > $@ 

debian/$(PACKAGE)-plugin-%.links:
	$(SED_REPLACE) $(CURDIR)/plugins/$*/packaging/links/plugin-$* > $@

debian/$(OLDPACKAGE)-%.links:
	$(SED_REPLACE) $(CURDIR)/packaging/links/$* > $@ 

debian/$(PACKAGE)-plugin-%.install:
	$(SED_REPLACE) $(CURDIR)/plugins/$*/packaging/install/plugin-$* > $@

debian/$(PACKAGE)-plugin-%.triggers:
	$(SED_REPLACE) $(CURDIR)/plugins/$*/debian/plugin-$*.triggers > $@

debian/$(OLDPACKAGE)-%.install:
	$(SED_REPLACE) $(CURDIR)/packaging/install/$* > $@ 

debian/$(PACKAGE)-plugin-%.docs:
	$(SED_REPLACE) $(CURDIR)/plugins/$*/packaging/docs/plugin-$* > $@
debian/$(OLDPACKAGE)-%.docs:
	$(SED_REPLACE) $(CURDIR)/packaging/docs/$* > $@
debian/$(PACKAGE)-%.docs:
	$(SED_REPLACE) $(CURDIR)/packaging/docs/$* > $@

debian/$(PACKAGE)-plugin-%.examples:
	$(SED_REPLACE) $(CURDIR)/plugins/$*/packaging/examples/plugin-$* > $@

debian/$(OLDPACKAGE)-%.README.Debian:
	$(SED_REPLACE) $(CURDIR)/packaging/readme/$* > $@
debian/$(PACKAGE)-%.README.Debian:
	$(SED_REPLACE) $(CURDIR)/packaging/readme/$* > $@

# Construct the control file
debian/control: $(wildcard packaging/control/*) $(wildcard plugins/*/packaging/control/[1-9][0-9][0-9]*) $(wildcard plugins/*/etc/*.ini)
	ls $(CURDIR)/packaging/control/[0-9][0-9][0-9]* | grep -v shortdesc | \
	while read file ; do \
		cat $${file}; \
		if [ -f $${file}.shortdesc ] ; then \
			cat $(CURDIR)/packaging/control/AAAdesc; \
			echo ' .'; \
			cat $${file}.shortdesc; \
		fi; \
		echo ''; \
	done | $(SED_REPLACE) > $@
	@echo Enabled plugins: $(ENABLED_PLUGINS)
	@echo Skipped plugins: $(shell sh $(CURDIR)/utils/list-enabled-plugins.sh --disabled)
	for plugin in $(ENABLED_PLUGINS) ; do \
		ls plugins/$$plugin/packaging/control/[1-9][0-9][0-9]plugin-$$plugin ; \
	done | \
	while read file ; do \
		cat $${file}; \
		if [ -f $${file}.shortdesc ] ; then \
			cat $(CURDIR)/packaging/control/AAAdesc; \
			echo ' .'; \
			cat $${file}.shortdesc; \
		fi; \
		echo ''; \
	done | $(SED_REPLACE) >> $@

# Update the translation of package descriptions fields

## fusionforge 5.2

=== Makefile ===

YUICOMPRESSOR = java -jar plugins/wiki/www/themes/default/yuicompressor-2.4.7.jar

all: gettext js

gettext:
	utils/manage-translations.sh refresh
	utils/manage-translations.sh build

js: www/js/common-min.js www/js/jquery-common-min.js

www/js/common-min.js: www/js/common.js www/js/sortable.js
	cat $^ > /tmp/combined.js
	$(YUICOMPRESSOR) -o $@ /tmp/combined.js
	rm -f /tmp/combined.js

www/js/jquery-common-min.js: lib/vendor/jquery/jquery-1.4.2.min.js lib/vendor/jquery-tipsy/src/javascripts/jquery.tipsy.js lib/vendor/coolfieldset/js/jquery.coolfieldset.js www/js/jquery-common.js
	cat $^ > /tmp/combined.js
	$(YUICOMPRESSOR) -o $@ /tmp/combined.js
	rm -f /tmp/combined.js

=== plugins/cvstracker/Makefile ===
DESTDIR=
PLUGIN=cvstracker

nothing:
	echo "What do you want I do?"

clean:
	find | grep "~$$"	

import:
	cp -rf /usr/share/gforge/plugins/cvstracker/bin/* bin/ 
	cp -rf /usr/share/gforge/plugins/cvstracker/common/* common/
	cp -rf /usr/share/gforge/plugins/cvstracker/db/* db/
	cp -rf /usr/share/gforge/www/plugins/cvstracker/* www/

install:
	cp -r bin/* $(DESTDIR)/usr/share/gforge/plugins/$(PLUGIN)/bin/
	cp -r common/* $(DESTDIR)/usr/share/gforge/plugins/$(PLUGIN)/common/
	cp -r db/* $(DESTDIR)/usr/share/gforge/plugins/$(PLUGIN)/db/
	cp -r etc/* $(DESTDIR)/etc/gforge/plugins/$(PLUGIN)/
	cp -r www/* $(DESTDIR)/usr/share/gforge/www/plugins/$(PLUGIN)/
	cp -r debian/cron.d /etc/cron.d/gforge-plugin-$(PLUGIN)
	install -m 0644 httpd.conf $(DESTDIR)/etc/gforge/httpd.d/50$(PLUGIN)
	find $(DESTDIR)/ -name CVS -type d | xargs rm -rf
	find $(DESTDIR)/usr/share/gforge/plugins/$(PLUGIN)/bin/ -type f | xargs chmod 0755
	find $(DESTDIR)/usr/share/gforge/plugins/$(PLUGIN)/common/ -type f | xargs chmod 0644
	find $(DESTDIR)/usr/share/gforge/plugins/$(PLUGIN)/db/ -type f | xargs chmod 0644
	find $(DESTDIR)/etc/gforge/plugins/$(PLUGIN)/ -type f | xargs chmod 0644
	find $(DESTDIR)/usr/share/gforge/www/plugins/$(PLUGIN)/ -type f | xargs chmod 0644
	chmod 0644 $(DESTDIR)/etc/gforge/plugins/cvstracker/cvstracker.conf
	$(DESTDIR)/usr/share/gforge/plugins/cvstracker/bin/db-upgrade.pl
	$(DESTDIR)/usr/share/gforge/bin/register-plugin cvstracker "cvstracker"	

uninstall:
	$(DESTDIR)/usr/share/gforge/plugins/cvstracker/bin/db-delete.pl
	$(DESTDIR)/usr/share/gforge/bin/unregister-plugin cvstracker "cvstracker"  
	rm -f /etc/cron.d/gforge-plugin-$(PLUGIN)

=== plugins/wiki/www/themes/Makefile ===
# $Id: Makefile 8202 2011-11-29 13:08:05Z vargenau $
#
# themes/Makefile
#
# minify themes
#

.PHONY: all css js

THEMES = default MonoBook wikilens Sidebar SpaceWiki blog MacOSX fusionforge \
	Portland shamino_com Crao Wordpress smaller Hawaiian

# http://developer.yahoo.com/yui/compressor/
YUICOMPRESSOR = java -jar default/yuicompressor-2.4.7.jar

all: 
	$(foreach dir,$(THEMES),make -C $(dir);)

## fusionforge 5.3.2+20141104

=== Makefile ===

YUICOMPRESSOR = java -jar plugins/wiki/www/themes/default/yuicompressor-2.4.7.jar

all: gettext js

gettext:
	utils/manage-translations.sh check
	utils/manage-translations.sh refresh
	utils/manage-translations.sh build

js: www/js/common-min.js www/js/jquery-common-min.js

www/js/common-min.js: www/js/common.js www/js/sortable.js
	cat $^ > /tmp/combined.js
	$(YUICOMPRESSOR) -o $@ /tmp/combined.js
	rm -f /tmp/combined.js

www/js/jquery-common-min.js: vendor/jquery/jquery-1.7.2.min.js vendor/jquery-tipsy/src/javascripts/jquery.tipsy.js vendor/coolfieldset/js/jquery.coolfieldset.js www/js/jquery-common.js
	cat $^ > /tmp/combined.js
	$(YUICOMPRESSOR) -o $@ /tmp/combined.js
	rm -f /tmp/combined.js

=== rpm-specific/Makefile ===

# See http://wiki.centos.org/AdditionalResources/Repositories

all:

epel:
	wget http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-4.noarch.rpm

dag:
	wget http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el5.rf.x86_64.rpm
	wget http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.2-2.el5.rf.i386.rpm

=== packaging/cron.d/Makefile ===

fusionforge: 00phpcron db-postgresql backup1 homedirs mail
	echo "# THIS FILE IS GENERATED, PLEASE DON'T EDIT, RATHER USE Makefile" > fusionforge
	cat 00phpcron db-postgresql backup1 homedirs mail >> fusionforge
clean:
	rm fusionforge

=== plugins/wiki/www/locale/Makefile ===
# locale/Makefile
#
# This is a replacement for locale/translate.sh to avoid remaking
# files that don't need to be remade.
#

POT_FILE = po/phpwiki.pot
GETTEXT_LINT_REPORTXSL = /usr/local/share/gettext-lint/report.xsl

.PHONY: all po mo clean depend ${POT_FILE}

all	: po mo
po 	: # dependencies are auto-generated by 'make depend' , see below
mo	: # dependencies are auto-generated by 'make depend' , see below

${POT_FILE} : # dependencies are auto-generated by 'make depend' , see below
	cp -f $@ $@~
	xgettext -L PHP --from-code=utf-8 -k_ -k__printf -k__sprintf -k__vsprintf -kfmt -o $@.extracted $^
	sed -e's,; charset=CHARSET,; charset=UTF-8,' $@.extracted
	msgmerge -o $@.new $@~ $@.extracted && grep -v ^\#: $@.new > $@
	rm -f $@.extracted 

# merge in place to keep unchanged timestamps
po/%.po : ${POT_FILE}
	test -f $@ || touch $@
	cp -f $@ $@~
	msgmerge -o $@.new $@~ $^ && grep -v ^\#: $@.new > $@

%/LC_MESSAGES/phpwiki.mo : po/%.po
	mkdir -p $*/LC_MESSAGES
	msgfmt -o $@ $<

clean :
	rm -f ./*/LC_MESSAGES/phpwiki.mo

depend :
	$(SHELL) update-makefile.sh

dep :
	@echo "Please use make depend"

# requires gettext-lint installed into /usr/local. (configure && make && make install)
# http://gettext-lint.sourceforge.net/
check: 
	POFileChecker po/*.po | xsltproc $(GETTEXT_LINT_REPORTXSL) - | \
		perl -pe's/<table>/<table border="1">/; s/<tr><td rowspan=/<tr valign="top"><td rowspan=/g' \
	        > POFileChecker.html

# DO NOT DELETE THIS LINE
#
# The remainder of this file is auto-generated
#
# (Run 'make depend' regenerate this section.)
#
po: po/de.po
mo: de/LC_MESSAGES/phpwiki.mo
po: po/es.po
mo: es/LC_MESSAGES/phpwiki.mo
po: po/fr.po
mo: fr/LC_MESSAGES/phpwiki.mo
po: po/it.po
mo: it/LC_MESSAGES/phpwiki.mo
po: po/ja.po
mo: ja/LC_MESSAGES/phpwiki.mo
po: po/nl.po
mo: nl/LC_MESSAGES/phpwiki.mo
po: po/sv.po
mo: sv/LC_MESSAGES/phpwiki.mo
po: po/zh.po
mo: zh/LC_MESSAGES/phpwiki.mo
#
${POT_FILE}: ../lib/ArchiveCleaner.php
${POT_FILE}: ../lib/AtomParser.php
${POT_FILE}: ../lib/BlockParser.php
${POT_FILE}: ../lib/CachedMarkup.php
${POT_FILE}: ../lib/Captcha.php
${POT_FILE}: ../lib/config.php
${POT_FILE}: ../lib/DbaDatabase.php
${POT_FILE}: ../lib/DbaListSet.php
${POT_FILE}: ../lib/DbaPartition.php
${POT_FILE}: ../lib/DbSession/ADODB.php
${POT_FILE}: ../lib/DbSession/dba.php
${POT_FILE}: ../lib/DbSession/PDO.php
${POT_FILE}: ../lib/DbSession.php
${POT_FILE}: ../lib/DbSession/SQL.php
${POT_FILE}: ../lib/diff3.php
${POT_FILE}: ../lib/difflib.php
${POT_FILE}: ../lib/diff.php
${POT_FILE}: ../lib/display.php
${POT_FILE}: ../lib/editpage.php
${POT_FILE}: ../lib/EditToolbar.php
${POT_FILE}: ../lib/ErrorManager.php
${POT_FILE}: ../lib/ExternalReferrer.php
${POT_FILE}: ../lib/FileFinder.php
${POT_FILE}: ../lib/font/chinese.php
${POT_FILE}: ../lib/font/courierbi.php
${POT_FILE}: ../lib/font/courierb.php
${POT_FILE}: ../lib/font/courieri.php
${POT_FILE}: ../lib/font/courier.php
${POT_FILE}: ../lib/font/helveticabi.php
${POT_FILE}: ../lib/font/helveticab.php
${POT_FILE}: ../lib/font/helveticai.php
${POT_FILE}: ../lib/font/helvetica.php
${POT_FILE}: ../lib/font/japanese.php
${POT_FILE}: ../lib/font/symbol.php
${POT_FILE}: ../lib/font/timesbi.php
${POT_FILE}: ../lib/font/timesb.php
${POT_FILE}: ../lib/font/timesi.php
${POT_FILE}: ../lib/font/times.php
${POT_FILE}: ../lib/font/zapfdingbats.php
${POT_FILE}: ../lib/fortune.php
${POT_FILE}: ../lib/gif.php
${POT_FILE}: ../lib/Google.php
${POT_FILE}: ../lib/HtmlElement.php
${POT_FILE}: ../lib/HtmlParser.php
${POT_FILE}: ../lib/HttpClient.php
${POT_FILE}: ../lib/imagecache.php
${POT_FILE}: ../lib/IniConfig.php
${POT_FILE}: ../lib/InlineParser.php
${POT_FILE}: ../lib/install.php
${POT_FILE}: ../lib/loadsave.php
${POT_FILE}: ../lib/MailNotify.php
${POT_FILE}: ../lib/main.php
${POT_FILE}: ../lib/PageList.php
${POT_FILE}: ../lib/PagePerm.php
${POT_FILE}: ../lib/PageType.php
${POT_FILE}: ../lib/pdf.php
${POT_FILE}: ../lib/plugin/AddComment.php
${POT_FILE}: ../lib/plugin/AllPages.php
${POT_FILE}: ../lib/plugin/AllUsers.php
${POT_FILE}: ../lib/plugin/AnalyseAccessLogSql.php
${POT_FILE}: ../lib/plugin/AppendText.php
${POT_FILE}: ../lib/plugin/AsciiMath.php
${POT_FILE}: ../lib/plugin/AsciiSVG.php
${POT_FILE}: ../lib/plugin/AtomFeed.php
${POT_FILE}: ../lib/plugin/AuthorHistory.php
${POT_FILE}: ../lib/plugin/BackLinks.php
${POT_FILE}: ../lib/plugin/BlogArchives.php
${POT_FILE}: ../lib/plugin/BlogJournal.php
${POT_FILE}: ../lib/plugin/BoxRight.php
${POT_FILE}: ../lib/plugin/CacheTest.php
${POT_FILE}: ../lib/plugin/CalendarList.php
${POT_FILE}: ../lib/plugin/Calendar.php
${POT_FILE}: ../lib/plugin/CategoryPage.php
${POT_FILE}: ../lib/plugin/Chart.php
${POT_FILE}: ../lib/plugin/Comment.php
${POT_FILE}: ../lib/plugin/CreateBib.php
${POT_FILE}: ../lib/plugin/CreatePage.php
${POT_FILE}: ../lib/plugin/CreateToc.php
${POT_FILE}: ../lib/plugin/CurrentTime.php
${POT_FILE}: ../lib/plugin/DeadEndPages.php
${POT_FILE}: ../lib/plugin/DebugAuthInfo.php
${POT_FILE}: ../lib/plugin/DebugBackendInfo.php
${POT_FILE}: ../lib/plugin/DebugGroupInfo.php
${POT_FILE}: ../lib/plugin/DebugRetransform.php
${POT_FILE}: ../lib/plugin/Diff.php
${POT_FILE}: ../lib/plugin/DynamicIncludePage.php
${POT_FILE}: ../lib/plugin/EditMetaData.php
${POT_FILE}: ../lib/plugin/ExternalSearch.php
${POT_FILE}: ../lib/plugin/FacebookLike.php
${POT_FILE}: ../lib/plugin/FileInfo.php
${POT_FILE}: ../lib/plugin/FoafViewer.php
${POT_FILE}: ../lib/plugin/FrameInclude.php
${POT_FILE}: ../lib/plugin/FullTextSearch.php
${POT_FILE}: ../lib/plugin/FuzzyPages.php
${POT_FILE}: ../lib/plugin/GoogleMaps.php
${POT_FILE}: ../lib/plugin/GooglePlugin.php
${POT_FILE}: ../lib/plugin/GoTo.php
${POT_FILE}: ../lib/plugin/GraphViz.php
${POT_FILE}: ../lib/plugin/HelloWorld.php
${POT_FILE}: ../lib/plugin/HtmlConverter.php
${POT_FILE}: ../lib/plugin/IncludePage.php
${POT_FILE}: ../lib/plugin/IncludePages.php
${POT_FILE}: ../lib/plugin/IncludeSiteMap.php
${POT_FILE}: ../lib/plugin/IncludeTree.php
${POT_FILE}: ../lib/plugin/InterWikiSearch.php
${POT_FILE}: ../lib/plugin/JabberPresence.php
${POT_FILE}: ../lib/plugin/LdapSearch.php
${POT_FILE}: ../lib/plugin/LikePages.php
${POT_FILE}: ../lib/plugin/LinkDatabase.php
${POT_FILE}: ../lib/plugin/LinkSearch.php
${POT_FILE}: ../lib/plugin/ListPages.php
${POT_FILE}: ../lib/plugin/ListRelations.php
${POT_FILE}: ../lib/plugin/ListSubpages.php
${POT_FILE}: ../lib/plugin/MediawikiTable.php
${POT_FILE}: ../lib/plugin/ModeratedPage.php
${POT_FILE}: ../lib/plugin/MostPopular.php
${POT_FILE}: ../lib/plugin/NewPagesPerUser.php
${POT_FILE}: ../lib/plugin/NoCache.php
${POT_FILE}: ../lib/plugin/OldStyleTable.php
${POT_FILE}: ../lib/plugin/OrphanedPages.php
${POT_FILE}: ../lib/plugin/PageDump.php
${POT_FILE}: ../lib/plugin/PageGroup.php
${POT_FILE}: ../lib/plugin/PageHistory.php
${POT_FILE}: ../lib/plugin/PageInfo.php
${POT_FILE}: ../lib/plugin/PageTrail.php
${POT_FILE}: ../lib/plugin/PasswordReset.php
${POT_FILE}: ../lib/plugin/PhotoAlbum.php
${POT_FILE}: ../lib/plugin/PhpHighlight.php
${POT_FILE}: ../lib/plugin/PhpWeather.php
${POT_FILE}: ../lib/plugin/Ploticus.php
${POT_FILE}: ../lib/plugin/PluginManager.php
${POT_FILE}: ../lib/plugin/PopularNearby.php
${POT_FILE}: ../lib/plugin/PopularTags.php
${POT_FILE}: ../lib/plugin/PopUp.php
${POT_FILE}: ../lib/plugin/PreferenceApp.php
${POT_FILE}: ../lib/plugin/PreferencesInfo.php
${POT_FILE}: ../lib/plugin/PrevNext.php
${POT_FILE}: ../lib/plugin/Processing.php
${POT_FILE}: ../lib/plugin/RandomPage.php
${POT_FILE}: ../lib/plugin/RateIt.php
${POT_FILE}: ../lib/plugin/RawHtml.php
${POT_FILE}: ../lib/plugin/RecentChangesCached.php
${POT_FILE}: ../lib/plugin/RecentChanges.php
${POT_FILE}: ../lib/plugin/RecentComments.php
${POT_FILE}: ../lib/plugin/RecentEdits.php
${POT_FILE}: ../lib/plugin/RecentReferrers.php
${POT_FILE}: ../lib/plugin/RedirectTo.php
${POT_FILE}: ../lib/plugin/RelatedChanges.php
${POT_FILE}: ../lib/plugin/RichTable.php
${POT_FILE}: ../lib/plugin/RssFeed.php
${POT_FILE}: ../lib/plugin/SearchHighlight.php
${POT_FILE}: ../lib/plugin/SemanticRelations.php
${POT_FILE}: ../lib/plugin/SemanticSearchAdvanced.php
${POT_FILE}: ../lib/plugin/SemanticSearch.php
${POT_FILE}: ../lib/plugin/SiteMap.php
${POT_FILE}: ../lib/plugin/SpellCheck.php
${POT_FILE}: ../lib/plugin/SqlResult.php
${POT_FILE}: ../lib/plugin/SyncWiki.php
${POT_FILE}: ../lib/plugin/SystemInfo.php
${POT_FILE}: ../lib/plugin/Template.php
${POT_FILE}: ../lib/plugin/TeX2png.php
${POT_FILE}: ../lib/plugin/text2png.php
${POT_FILE}: ../lib/plugin/TexToPng.php
${POT_FILE}: ../lib/plugin/TitleSearch.php
${POT_FILE}: ../lib/plugin/Transclude.php
${POT_FILE}: ../lib/plugin/TranslateText.php
${POT_FILE}: ../lib/plugin/UnfoldSubpages.php
${POT_FILE}: ../lib/plugin/UpLoad.php
${POT_FILE}: ../lib/plugin/UriResolver.php
${POT_FILE}: ../lib/plugin/UserPreferences.php
${POT_FILE}: ../lib/plugin/UserRatings.php
${POT_FILE}: ../lib/plugin/VisualWiki.php
${POT_FILE}: ../lib/plugin/WantedPagesOld.php
${POT_FILE}: ../lib/plugin/WantedPages.php
${POT_FILE}: ../lib/plugin/WatchPage.php
${POT_FILE}: ../lib/plugin/WhoIsOnline.php
${POT_FILE}: ../lib/plugin/WikiAdminChown.php
${POT_FILE}: ../lib/plugin/WikiAdminDeleteAcl.php
${POT_FILE}: ../lib/plugin/WikiAdminPurge.php
${POT_FILE}: ../lib/plugin/WikiAdminRemove.php
${POT_FILE}: ../lib/plugin/WikiAdminRename.php
${POT_FILE}: ../lib/plugin/WikiAdminSearchReplace.php
${POT_FILE}: ../lib/plugin/WikiAdminSelect.php
${POT_FILE}: ../lib/plugin/WikiAdminSetAcl.php
${POT_FILE}: ../lib/plugin/WikiAdminSetExternal.php
${POT_FILE}: ../lib/plugin/WikiAdminUtils.php
${POT_FILE}: ../lib/plugin/WikiBlog.php
${POT_FILE}: ../lib/plugin/WikicreoleTable.php
${POT_FILE}: ../lib/plugin/WikiForm.php
${POT_FILE}: ../lib/plugin/WikiFormRich.php
${POT_FILE}: ../lib/plugin/WikiForum.php
${POT_FILE}: ../lib/plugin/WikiPoll.php
${POT_FILE}: ../lib/plugin/WikiTranslation.php
${POT_FILE}: ../lib/plugin/YouTube.php
${POT_FILE}: ../lib/prepend.php
${POT_FILE}: ../lib/purgepage.php
${POT_FILE}: ../lib/removepage.php
${POT_FILE}: ../lib/Request.php
${POT_FILE}: ../lib/RssParser.php
${POT_FILE}: ../lib/RSSWriter091.php
${POT_FILE}: ../lib/RssWriter2.php
${POT_FILE}: ../lib/RssWriter.php
${POT_FILE}: ../lib/SemanticWeb.php
${POT_FILE}: ../lib/spam_babycart.php
${POT_FILE}: ../lib/SpamBlocklist.php
${POT_FILE}: ../lib/stdlib.php
${POT_FILE}: ../lib/Template.php
${POT_FILE}: ../lib/TextSearchQuery.php
${POT_FILE}: ../lib/Units.php
${POT_FILE}: ../lib/upgrade.php
${POT_FILE}: ../lib/WikiCallback.php
${POT_FILE}: ../lib/WikiDB/ADODB.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_mssqlnative.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_mssql.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_mysql.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_oci8po.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_postgres7.php
${POT_FILE}: ../lib/WikiDB/backend/ADODB_sqlite.php
${POT_FILE}: ../lib/WikiDB/backend/cvs.php
${POT_FILE}: ../lib/WikiDB/backend/dbaBase.php
${POT_FILE}: ../lib/WikiDB/backend/dba.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/AllRevisionsIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/BackLinkIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/LinkSearchIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/MostPopularIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/MostRecentIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/TextSearchIter.php
${POT_FILE}: ../lib/WikiDB/backend/dumb/WantedPagesIter.php
${POT_FILE}: ../lib/WikiDB/backend/file.php
${POT_FILE}: ../lib/WikiDB/backend/flatfile.php
${POT_FILE}: ../lib/WikiDB/backend/PDO_mysql.php
${POT_FILE}: ../lib/WikiDB/backend/PDO_oci8.php
${POT_FILE}: ../lib/WikiDB/backend/PDO_pgsql.php
${POT_FILE}: ../lib/WikiDB/backend/PDO.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_ffpgsql.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_mysql.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_oci8.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_pgsql.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB.php
${POT_FILE}: ../lib/WikiDB/backend/PearDB_sqlite.php
